<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myFeatureLabel" jhiTranslate="mpmApp.feature.home.createOrEditLabel">Create or edit a Feature</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!feature.idFeature">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="feature.idFeature" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.feature.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="feature.description" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.feature.refKey" for="field_refKey">Ref Key</label>
                    <input type="text" class="form-control" name="refKey" id="field_refKey"
                        [(ngModel)]="feature.refKey" />
                </div>

                <div class="form-group" *ngIf="idFeatureType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.feature.featureType" for="field_featureType">Feature Type</label>
                    <select class="form-control" id="field_featureType" name="featureType" [(ngModel)]="feature.featureTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="featureTypeOption.idFeatureType" *ngFor="let featureTypeOption of featuretypes; trackBy: trackFeatureTypeById">{{featureTypeOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
